[//lasso
	var('timeline') = @$post->recent;
	
	if($timeline->size);
		var('display') = '<ul id="recentposts" class="postlist">';
	
		iterate($timeline, local('i'));
			local('p') = @#i->second;
		
			$display += '
				<li' + (#p->find('uid') == $post->uid ? ' class="current"') + '>
					<a href="/' + #p->find('uid') + '">
						<img src="' + gravatar(#p->find('authoremail'), -size=48) + '" align="left" />
						<span class="author">' + #p->find('authorname') + '</span>
						<span class="created">' + date_relative(#p->find('created')) + '</span>
					</a>
				</li>
			';
		/iterate;
		
		$display += '</ul>';
		
		$display;
	/if;
]
